The Stack Overflow podcast is back! Listen to an interview with our new CEO.

Questions tagged [drush]

Use it for questions about the command line shell and Unix scripting interface for Drupal (a.k.a. Drush).

Filter by
Sorted by
Tagged with
3
votes
0answers
151 views

--root required for all drush 8 commands and I don't know why

Does not work: root@deftig-web001:/var/www/1.websiteserver.net/platform# drush status --uri=dev052 PHP executable : /usr/bin/php PHP configuration : /etc/php5/cli/php.ini PHP OS ...
0
votes
1answer
32 views

Drush tries to export config for modules I deleted months ago

I'm using Drush 9.3 and when I export config it wants to create config files for modules that have been gone for months. One of those is plupload which is nice because it's easy to search the code ...
0
votes
2answers
75 views

Remove Configuration Management Destination

I'm using drush cex or drush cim to export and import configuration on D8 site. Every time I run those commands, I get asked a question to select option for cancel, sync or staging, which is quiet ...
-1
votes
1answer
370 views

Missing commands in drush 9.3 [closed]

I have installed drush 9 as dependency of my drupal 8 project as explained in: http://docs.drush.org/en/master/install/ cd ${D8_PROJECT} composer require drush/drush Then, I have installed drush ...
2
votes
1answer
3k views

How can I update a module to a specific version using Drush?

I am trying to update module entityform 7.x-1.4 to entityform 7.x-2.0-beta4. The current version of the entityform module is 7.x-2.0-rc4. But I don't want to update at this version. Can we update ...
0
votes
0answers
23 views

How can I use drush_invoke() in my code called from hook_update_N()`? [duplicate]

I need to do a few things which could be easily made with Drush commands, but I need to achieve them through PHP code inside my module, on an hook_update_N(). It seems to me that I need to use ...
0
votes
1answer
2k views

How do I change the used PHP version? [duplicate]

I am using Drush to update modules. When I run the command php -v it correctly shows I am running version 5.5 I then use the command drush rf followed by drush up to perform any updates. I am using ...
0
votes
1answer
718 views

How to update from Drupal core 8.5.0 to 8.5.5?

In the past (Drupal 7), security-only update via drush was simple as: drush up --security-only now, Drush 9.3 returns: Command "up" is ambiguous. Did you mean one of these? ... composer does ...
0
votes
1answer
237 views

Call to undefined function variable_get()

I have an ansible script that transfers a production database to my devel server, then runs a few Drush commands to prepare it (e.g. updating the filesystem settings, clearing the cache). A more ...
3
votes
1answer
563 views

How to have an environment specific drush.yml?

I'm using Drush 9. With the old drushrc.php I could easily include a local.drushrc.php that dynamically set the site url. How can I do it now? This is similar to How can i set site url dynamically in ...
0
votes
1answer
210 views

Using Drush on a Drupal 8 site installed via Composer

I had a Drupal 8 project installed from Drupal 8 sources what had been downloaded from Drupal 8 site. Recently I heard a good thought that it would be more comfortable to have the project originally ...
1
vote
1answer
27 views

Can Drush be assigned as a ssh users default shell?

Problem: I need to allow ssh access to my web server to dev team in order to use Drush. I am reluctant to give them full SSH access due to lack of trust in their SSH skills and knowledge. Attempted ...
0
votes
0answers
961 views

Drush commands failing with remote database and no local MySQL

I am attempting to run cron via crontab on a server that has a remote database, as such there is no mysql isntance installed locally. When attempting to run the command drush core-cron i received the ...
0
votes
1answer
923 views

Drush installed in local directory but command not found?

I know that Drush is a huge time saver so I'm trying to get familiar with it but I keep getting command not found error after installation. I've required and removed Drush a couple of times just ...
0
votes
0answers
183 views

Composer Drush installation issue

I'm setting up multiple drush folders to run for older versions of Drupal. I run composer require "drush/drush:dev-master" and I get this error: [InvalidArgumentException] Package drush/drush at ...
3
votes
1answer
231 views

Drush cim: error “Table xyz already exists”

I'm trying to deploy a dev website to a dev server. When running drush cim on the dev server, drush ends with an error message: Table honeypot_user already exists When running drush cim again ...
-1
votes
1answer
218 views

Where/how to install Drush when running multiple versions of Drupal

I use a Mac for Drupal development and am a long time user of Drush. Getting ready to develop a new Drupal 8 site and installed via "Option A" as described https://www.drupal.org/docs/develop/using-...
3
votes
1answer
987 views

Error: Class 'Drush\Sql\Sql' not found

This is my first attempt at installing Drupal using Composer. I have successfully installed Composer and the Drupal Project template, which comes configured with Drush. To install I use composer ...
2
votes
2answers
272 views

Listing variable values using drush

I would like to list the values of certain variables using Drush in order to make sure they are in fact the variables that I intend to add to my feature. It seems that some variables are parents which ...
0
votes
1answer
37 views

List Drush specific add ons, plug ins, extensions, or modules to use drush dl in automated script

I'm writing a really basic bash script and want use drush dl to download the Drush extras add on. drush dl drush_extras But I need to check whether drush extras is installed before I try to install ...
0
votes
1answer
16 views

urol executed via bash throws exception error if role has a space in it

Role name "teaching assistant" command executed is: drush @comply-all urol "teaching assistant" sdf --y if I copy and paste this it works fine. if the following command is called from a bash script ...
1
vote
0answers
546 views

Drush not installed via Composer

When I run composer require drush/drush It gives below error Using version ^9.3 for drush/drush ./composer.json has been updated Loading composer repositories with package information Updating ...
0
votes
2answers
217 views

Drush 9 - Destination Argument Does Not Exist

I've been struggling a lot with Drush 9 sql:sync the past few months. I've gotten it to work a few times, but I've been stumped by this most recent problem: $ drush sql:sync @prodv2 @local --debug ...
2
votes
1answer
103 views

How to solve the error “ Could not determine command name from tag @command” with Drush?

I'm installing drush v9 on the server as well as I try to port my command. I did several things but now get the error: drush status In BespokeDocBlockParser.php line 65: Could not determine ...
0
votes
1answer
282 views

Vendor directory vs. Modules directory. What are the key differences?

I've seen articles that instruct developers to add docroot/vendor to the .gitignore but if I require a module with composer and push up that module, will that cause a huge error on the site I'm ...
1
vote
1answer
454 views

Drupal 8 - Drush composerRequireDrupal8 error

System: Ubuntu 14.x Drupal: 8.x Drush: 8.x I recently have installed Drush using composer global require drush/drush:dev-master code and it got installed successfully. I ran command which drush ...
0
votes
1answer
59 views

How to use drush with a specific PHP Instance [duplicate]

What drush command can I use to tell drush to use php 5.6 instead of 7.1 which my site is currently running on. A million thanks in anticipation.
3
votes
1answer
471 views

Drush en failing

I was trying to install some modules via Drush 9 (9.2.3) on a Drupal 8 (8.5.3) site and I keep seeing the following. [error] Unable to install modules devel due to missing modules devel. [error] ...
0
votes
2answers
338 views

How to install drush on a shared hosting without SSH and without composer?

I would like to install Drush on my shared hosting account in order to let a cronjob call a specific module to this installation. I have NO SSH access and NO Composer access on this shared hosting ...
2
votes
3answers
566 views

Drush on production server without Composer

I want Drush 9 on a Drupal 8 production server without having to install Composer. Is there any way to do this? And if that is not possible, can anyone suggest an alternative to Drush especially for ...
0
votes
1answer
105 views

How to limit drush tar-options="--exclude pattern matching to be specific and not recursive

With the folder structure like so /site_root /site_root/images /site_root/core /site_root/core/modules/images /site_root/libraries etc When doing a drush archive dump backup, from the inside ...
2
votes
1answer
1k views

How can I run Drush 8 and Drush 9 together on same machine to test some module on it? [duplicate]

As in my earlier environment I was running Drush 6 and Drush 8 together. I need help with the Drush 8 and Drush 9 installation. Is there any possible way to achieve it? I tried to do porting command ...
0
votes
0answers
239 views

Drush site aliases empty within project folder but showing out of the project

I've got a project that was built using drupal composer project and have a number of drush alias files that site in ~/.drush/sites. Using a globally installed drush, it appears to pick up the site ...
1
vote
1answer
1k views

Drush can not find settings.php

I use two shared hosts at present. One, webhostinghub.com, already has drush installed and it works. The other, 1and1.com, did not come with drush pre-installed so I installed composer and then drush ...
0
votes
1answer
85 views

Drush remote sql-dump starts with “stdin: is not a tty” [closed]

When I run drush @SITEALIAS.live sql-dump > db.sql on some servers or in fact any remote drush command I get: stdin: is not a tty as part of the return. This is difficult when doing sql dumps as ...
1
vote
1answer
96 views

drush8 for D7&D8

I posted the below on the Drush git, but I got redirected here. So here we go :). With the recent core update I installed drush8 on all of my websites and updated 24 cores, both D7 and D8, using ...
2
votes
1answer
540 views

Drush 9.2 - not working well / not installing with Composer

I am using Ubuntu 17.10 running Apache 2.4 on a Vultr instance. Using virtual host for my.example.com website. Installed Drupal 8.5.1 per recommended Drupal-Composer/Drupal-Project. Apache docroot ...
1
vote
2answers
2k views

How can I use Drush in a project installed with Composer?

I have installed Drupal 8.5 using composer create-project drupal-composer/drupal-project:8.x-dev my_site_name_dir --stability dev --no-interaction. This command install many files. I found drush-...
1
vote
0answers
302 views

sql:sync errors out in Drush 9

When I try the command drush sql:sync @dev.dev @self or drush sql:sync @dev.dev @local it errors with: Undefined class constant 'MYSQL_ATTR_SSL_CA' in Drush\Sql\SqlMysql->creds()...
1
vote
1answer
798 views

Why isn't Drush recognized as command?

I ran composer global require drush/drush:8.1.3 and added C:/Users/username/AppData/Roaming/Composer/vendor/drush/drush to the value of the PATH variable. drush status returns the following output. ...
1
vote
1answer
124 views

Drush migration no longer working in 8.5

I've been migrating a site from Drupal 7 to Drupal 8. The site was 8.4 when I ran the migrations. I've since updated the site to Drupal 8.5. Now, when I type drush migration-status or any migration-...
0
votes
0answers
197 views

Drush silently fails to update core drupal 7 installation - why?

For some reason, drush is reporting successful upgrade of a core Drupal installation from version 7.56 to 7.58, however it is only partially doing the job! See below. Only updates a few files, should ...
-2
votes
1answer
208 views

Can we update Drush compatibility chart to show Drush 8.1.15 is compatible with Drupal 8.4+ [closed]

I have a hard time convincing my staff that they can use Drush version 8.1.15 to work on D8 sites on 8.4.6 and later, because the Drush compatibility chart likely needs a new row between D8 and D9 for ...
0
votes
2answers
2k views

Drush migrate commands do not appear after fresh drupal 8 install using composer

I am trying to follow the upgrade using drush tutorial but I cannot get the migrate commands to appear in drush. On a new Ubuntu 16 box I do: #install a new drupal 8 composer create-project drupal-...
0
votes
1answer
27 views

Custom Module Remote Fails Checksum with Drush

Background I have several proprietary Drupal modules that my company uses. We want to update these across all our sites. To that end, I've built an endpoint that produces code according to the (ill-...
0
votes
2answers
80 views

Drush 7 bootstraps DB apparently without error, but still needs higher level

This is a Drupal 7 multi-site (subdirectory based with symlinks) I've migrated to a new server. (Perhaps worth mentioning Drush doesn't work on the old server either). The websites don't have any ...
1
vote
2answers
2k views

How do I convert a pre-existing site to a Composer-managed application?

The latest Drush 9.x version recommends that Drupal 8 sites will be built using Composer, with Drush listed as a dependency. However, when you install Composer and Drush globally per step #1 on http://...
2
votes
1answer
174 views

Drush misidentifies my D7 site as drupal 8

I'm using Drush Commandline Tool 9.2.1 in a Drupal 7 webroot and I'm unable to run it. $ drush -vvv cc all [preflight] Config paths: /home/user/.composer/vendor/drush/drush/drush.yml [preflight] ...
0
votes
2answers
1k views

What is the right way of installing?

The http://docs.drush.org/en/master/install page states: Drush 9 only supports one install method. It requires that your Drupal 8 site be built with Composer and Drush be listed as a dependency. ...
1
vote
1answer
513 views

Unable to run database updates via Drush - Call to undefined function batch_get()

Having some difficulty running database updates via drush after updating modules in the codebase. This is the error that is being reported: Error: Call to undefined function batch_get() in /root/....